$foregroundFontColor: #ffffffee;
$backgroundImage: "https://cdn.landscapes-swiss.ch/images/homepage.jpg";
$mainBackgroundDarkening: 0.35;
$formBackgroundDarkening: 0.5;

$leftWidth: 200px;
$rightWidth: 200px;

.container {

    background: linear-gradient( rgba(0, 0, 0, $mainBackgroundDarkening), rgba(0, 0, 0, $mainBackgroundDarkening) ), url($backgroundImage);
    background-position: center;
    background-size: cover;
  
    display: grid;
    grid-template-rows: auto 1fr auto;
    width: 100vw;
    height: 100vh;

    main {
        justify-content: center;
        align-items: center;
        display: flex;

        .formBackground {
            background: linear-gradient( rgba(0, 0, 0, $formBackgroundDarkening), rgba(0, 0, 0, $formBackgroundDarkening));
            border-radius: 8px;
            padding: 40px;
            
            div {
                grid-template-columns: 50% 50%;
                flex-direction: column;
                align-items: initial;
                display: grid;
                grid-template-columns: auto auto;
                gap: 20px;

                &.title {
                    font-size: 3em;
                }

                content {
                    color: $foregroundFontColor;
                    flex-direction: column;
                    display: flex;

                    form {
                        color: $foregroundFontColor;
                        
                        div{
                            padding: 6px;

                            input, textarea, button {
                                border: none;
                                padding: 6px;
                                border-radius: 4px;
                                font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
                                font-size: 0.75em;
                                width: $leftWidth;
                            }

                            button {
                                width: unset;
                                padding: 5px 20px;
                                background-color: var(--accent-1) !important;
                                color: $foregroundFontColor;
                            }
                        }
                    }
                }

                aside {
                    color: $foregroundFontColor;
                    flex-direction: column;
                    display: flex;

                    &.description {
                        filter: opacity(0.85);
                        font-size: 1.25em;
                    }

                    div {
                        display: grid;
                        gap: 5px;

                        div {
                            display: flex;
                            align-items: center;
                            padding-bottom: 20px;
    
                            img {
                                height: 1.5em;
                                padding-right: 3px,
                            }
    
                            a{
                                color: #ffffffee;
                            }
                        }
                    }
                }
            }
        }
    }
        
    footer {
        color: $foregroundFontColor;
        border: unset;
    }
  
  }